Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.portable
Interface InvokeHandler

All Known Subinterfaces:
  Tie

public interface InvokeHandler

This interface provides a dispatching mechanism for an incoming call. It is invoked by the ORB to dispatch a request to a servant.

Method Summary
`OutputStream` | `_invoke(String method, InputStream input, ResponseHandler handler)` Invoked by the ORB to dispatch a request to the servant.

Method Detail

### _invoke

    public OutputStream _invoke(String method,
                                InputStream input,
                                ResponseHandler handler)
                         throws SystemException

  Invoked by the ORB to dispatch a request to the servant. ORB passes the method name, an InputStream containing the marshalled arguments, and a ResponseHandler which the servant uses to construct a proper reply. Only CORBA SystemException may be thrown by this method. The method must return an OutputStream created by the ResponseHandler which contains the marshalled reply. A servant must not retain a reference to the ResponseHandler beyond the lifetime of a method invocation. Servant behaviour is defined as follows:

  1. Determine correct method, and unmarshal parameters from InputStream.

  2. Invoke method implementation.

  3. If no user exception, create a normal reply using ResponseHandler.

  4. If user exception occurred, create exception reply using ResponseHandler.

  5. Marshal reply into OutputStream returned by ResponseHandler.

  6. Return OutputStream to ORB.

  Parameters:
    `method` - The method name.
    `input` - The `InputStream` containing the marshalled arguments.
    `handler` - The `ResponseHandler` which the servant uses to construct a proper reply
  Returns:
    The `OutputStream` created by the ResponseHandler which contains the marshalled reply
  Throws:
    `SystemException` - is thrown when invocation fails due to a CORBA system exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.